aboutsummaryrefslogtreecommitdiff
path: root/games/linux-savage/pkg-install
diff options
context:
space:
mode:
authorJose Alonso Cardenas Marquez <acm@FreeBSD.org>2006-09-08 19:19:30 +0000
committerJose Alonso Cardenas Marquez <acm@FreeBSD.org>2006-09-08 19:19:30 +0000
commit56da4eda7589e98ae6748afc15252a7bdec26c9e (patch)
treeb4c217a788df1a3e6d8ce56deed9823cf0f1d0c6 /games/linux-savage/pkg-install
parente2cfba1a14787f4a842f15175dbca0531a90841b (diff)
Notes
Diffstat (limited to 'games/linux-savage/pkg-install')
-rw-r--r--games/linux-savage/pkg-install25
1 files changed, 25 insertions, 0 deletions
diff --git a/games/linux-savage/pkg-install b/games/linux-savage/pkg-install
new file mode 100644
index 000000000000..e578ef32bf19
--- /dev/null
+++ b/games/linux-savage/pkg-install
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+[ "$2" != "POST-INSTALL" ] && exit 0
+
+scripts_file=$PKG_PREFIX/scripts.log
+laspatch_file=$PKG_PREFIX/updater/lastpatch.txt
+patchindex_file=$PKG_PREFIX/updater/patchindex.txt
+
+if ! [ -e $scripts_file ]; then
+ touch $scripts_file
+ chown root:wheel $scripts_file 2>/dev/null
+ chmod 666 $scripts_file
+fi
+
+if ! [ -e $laspatch_file ]; then
+ echo "savage20031022a-patch.tar.gz" > $laspatch_file
+ chown root:wheel $laspatch_file 2>/dev/null
+ chmod 666 $laspatch_file
+fi
+
+if ! [ -e $patchindex_file ]; then
+ touch $patchindex_file
+ chown root:wheel $patchindex_file 2>/dev/null
+ chmod 666 $patchindex_file
+fi